Skip to main content
GET
/
v1
/
monitored-prompts
/
{monitored_prompt_id}
/
citations
Get monitored prompt citations
curl --request GET \
  --url https://api.firstanswer.ai/v1/monitored-prompts/{monitored_prompt_id}/citations/ \
  --header 'api-key: <api-key>'
{
  "data": [
    {
      "domain": "<string>",
      "count": 123,
      "urls": [
        {
          "url": "<string>",
          "count": 123
        }
      ]
    }
  ],
  "pagination": {
    "current_page": 123,
    "per_page": 123,
    "total_pages": 123,
    "total_records": 123
  }
}

Authorizations

api-key
string
header
required

Path Parameters

monitored_prompt_id
integer
required

Query Parameters

brand_id
integer
required
start_date
string<date>
required

Start date in YYYY-MM-DD format

end_date
string<date>
required

End date in YYYY-MM-DD format

ai_model
enum<string>
  • chat_gpt - Chat Gpt
  • perplexity - Perplexity
  • bing_copilot - Bing Copilot
  • google_ai - Google Ai
  • gemini - Gemini
  • grok - Grok
  • google_ai_mode - Google Ai Mode
Available options:
chat_gpt,
perplexity,
bing_copilot,
google_ai,
gemini,
grok,
google_ai_mode
Minimum string length: 1
page
integer
per_page
integer
Required range: 1 <= x <= 100

Response

Success

data
object[]
required
pagination
object
required